Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354426 - Allowing to host replica pair bricks on the same node without using force option
Summary: Allowing to host replica pair bricks on the same node without using force option
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd
Version: rhgs-3.1
Hardware: x86_64
OS: Linux
low
high
Target Milestone: ---
: ---
Assignee: Atin Mukherjee
QA Contact: storage-qa-internal@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-11 09:53 UTC by Byreddy
Modified: 2019-03-04 06:18 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-16 18:16:36 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Byreddy 2016-07-11 09:53:41 UTC
Description of problem:
=======================
When we convert the Distributed volume to Distributed-replicate by adding the bricks, add-brick command with replica count is not throwing error like "  replica bricks are present on the same server "


Version-Release number of selected component (if applicable):
==============================================================
glusterfs-3.7.9-10.el7rhgs.x86_64


How reproducible:
=================
Always


Steps to Reproduce:
====================
1. Have two node rhgs cluster (node-1 and node-2 )
2. Create Distribute volume using node-1 two bricks  and start the volume
3. Now convert the Distribute volume to Distributed-replicate by adding bricks, first brick from node-1 and second brick from node-2 by specifying replica count 2

Actual results:
================
Allowing to host replica pair bricks on the same node.


Expected results:
=================
Should throw error message saying "replica bricks are present on the same server"



Additional info:


Note You need to log in before you can comment on or make changes to this bug.